Subject: Re: [PATCH 00/22] Replace comments with C99 initializers

From: Jakub Kicinski <[email-masked]>
Date: Mon, 28 Mar 2022 13:20:14 -0700

On Mon, 28 Mar 2022 13:51:42 +0200 Benjamin Stürz wrote:
> > Just a small tip: If you are new, start with something small and learn
> > from that. Don't do a controversial big patchset spanning multiple
> > subsystems, that's the hard way to learn things. First submit one patch
> > at a time to one subsystem and gain understanding of the process that
> > way.
> 
> I actually thought this would be such simple thing. Do you know of any
> good thing where to start? I already looked into drivers/staging/*/TODO
> and didn't found something for me personally.

FWIW on the netdev side there's work coming to convert a set of features
from unsigned long to a BITMAP which will require converting a lot of
drivers to an explicit helpers from direct access.

https://lore.kernel.org/all/[email-masked]/

If it seems interesting enough you can try reaching out to Jian Shen.